summaryrefslogtreecommitdiffhomepage
path: root/once
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2018-05-08 01:46:53 -0400
committermidipix <writeonce@midipix.org>2018-05-16 04:45:10 -0400
commit4721cebf34d7862b0783673f65fbb8b52750be46 (patch)
tree8293883f06a5b7301b1b8abc6d7ea9e954fdc00c /once
downloadmpackage-4721cebf34d7862b0783673f65fbb8b52750be46.tar.bz2
mpackage-4721cebf34d7862b0783673f65fbb8b52750be46.tar.xz
initial commit.
Diffstat (limited to 'once')
-rwxr-xr-xonce/bash.bat12
-rwxr-xr-xonce/cmd.bat7
-rwxr-xr-xonce/custom.sh18
-rwxr-xr-xonce/install.bat22
-rwxr-xr-xonce/install.sh28
-rwxr-xr-xonce/midipix.bat12
-rwxr-xr-xonce/update.sh28
7 files changed, 127 insertions, 0 deletions
diff --git a/once/bash.bat b/once/bash.bat
new file mode 100755
index 0000000..0ac91d4
--- /dev/null
+++ b/once/bash.bat
@@ -0,0 +1,12 @@
+@echo off
+
+pushd "%~dp0"
+
+set shell_sysroot=%cd%
+set SYSROOT=/dev/fs/c/midipix
+
+start bin\ntctty.exe --sysroot %shell_sysroot% --exec /bin/mintty -d -h always --window max --exec /bin/bash --init-file /etc/init.sh -i
+
+popd
+
+exit
diff --git a/once/cmd.bat b/once/cmd.bat
new file mode 100755
index 0000000..0cb50ab
--- /dev/null
+++ b/once/cmd.bat
@@ -0,0 +1,7 @@
+@echo off
+
+pushd "%~dp0"
+
+cmd.exe /K midipix.bat
+
+popd
diff --git a/once/custom.sh b/once/custom.sh
new file mode 100755
index 0000000..c3d611a
--- /dev/null
+++ b/once/custom.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ -z "$SYSROOT" ]; then
+ echo '$SYSROOT is not set!'
+ exit 2
+fi
+
+if ! [ -d "$SYSROOT" ]; then
+ echo '$SYSROOT does not exist!'
+ exit 2
+fi
+
+mkdir -p "$SYSROOT"/tmp || exit 2
+chmod 0775 "$SYSROOT"/tmp || exit 2
+
+if [ -f /vendor.sh ]; then
+ /vendor.sh
+fi
diff --git a/once/install.bat b/once/install.bat
new file mode 100755
index 0000000..727b538
--- /dev/null
+++ b/once/install.bat
@@ -0,0 +1,22 @@
+@echo off
+
+pushd "%~dp0"
+
+set shell_sysroot=%cd%
+
+echo.
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+echo this is the midipix installation script
+echo SYSROOT currently set to %SYSROOT%
+echo shell_sysroot set to %shell_sysroot%
+echo press any key to continue with installation, or CTRL-C to abort
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+echo.
+
+@pause
+
+start bin\ntctty.exe --sysroot %shell_sysroot% --exec /bin/mintty -d -h always --window max --exec /bin/bash install.sh
+
+popd
+
+exit
diff --git a/once/install.sh b/once/install.sh
new file mode 100755
index 0000000..e34580b
--- /dev/null
+++ b/once/install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+export PS1='\[\e]0;\w\a\]\n\[\e[32m\]\u@\h \[\e[33m\]\w\[\e[0m\]\n\$ '
+export HOME=/home/midipix
+
+if [ -z "$SYSROOT" ]; then
+ echo '$SYSROOT is not set!'
+ exit 2
+else
+ mkdir -p "$SYSROOT" || exit 2
+fi
+
+for tarball in /tarballs/*.tar.gz; do
+ echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
+ echo extracting files from $tarball
+ echo ..................................................
+ tar -xvf $tarball -C "$SYSROOT" || exit 2
+ echo ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+ echo
+done
+
+/custom.sh || exit 2
+
+echo
+echo
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+echo Congrats! All tarballs were successfully extracted.
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
diff --git a/once/midipix.bat b/once/midipix.bat
new file mode 100755
index 0000000..8cdd031
--- /dev/null
+++ b/once/midipix.bat
@@ -0,0 +1,12 @@
+@echo off
+
+cls
+
+set SYSROOT=/dev/fs/c/midipix
+
+echo.
+echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+echo SYSROOT set to %SYSROOT%
+echo to install the midipix distro sysroot, invoke install.bat
+echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+echo.
diff --git a/once/update.sh b/once/update.sh
new file mode 100755
index 0000000..b6f05f4
--- /dev/null
+++ b/once/update.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+export PS1='\[\e]0;\w\a\]\n\[\e[32m\]\u@\h \[\e[33m\]\w\[\e[0m\]\n\$ '
+export HOME=/home/midipix
+
+if [ -z "$SYSROOT" ]; then
+ echo '$SYSROOT is not set!'
+ exit 2
+else
+ mkdir -p "$SYSROOT" || exit 2
+fi
+
+for tarball in /updates/*.tar.gz; do
+ echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
+ echo extracting files from $tarball
+ echo ..................................................
+ tar -xvf $tarball -C "$SYSROOT" || exit 2
+ echo ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+ echo
+done
+
+/custom.sh || exit 2
+
+echo
+echo
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+echo Congrats! All tarballs were successfully extracted.
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!